Woo commerce argument deprecated

Viewing 15 posts - 1 through 15 (of 18 total)
  • Author
    Posts
  • #13876
    Pulmolpulmol
    Member

    Hello, i’m installing for the first time the plug in woocommerce on my site moutonrose.com.

    I make my different settings and when i look at my product page there is this sentence at the end of the page:
    “Notice: woocommerce_related_products est appelé avec un argument qui est déprécié depuis la version 2.1 ! Utilisez plutôt $args[“posts_per_page”] en tableau. Les arguments dépréciés seront supprimés dans la version WC 2.2. in /home/moutonro/www/wp-includes/functions.php on line 3508″

    It seem that i have something too update on my theme but i don’t understand what.

    Is it possible to tell me step by step what i have to do ?

    Thanks by advance.

    pulmol

    #13889
    VeenaVeena
    Moderator

    Pls try to update your woocommerce installation to latest version and see if it helps.

    #13897
    RaghavendraRaghavendra
    Moderator

    I checked our theme code and looks like it is upto date and should not display the above deprecated notice. Do you have the latest update of the theme installed? Can you pls share a temp login to your site as a private message here if you still have trouble?

    #13911
    Pulmolpulmol
    Member
    This reply has been marked as private.
    #13925
    RaghavendraRaghavendra
    Moderator
    This reply has been marked as private.
    #13926
    RaghavendraRaghavendra
    Moderator
    This reply has been marked as private.
    #13933
    Pulmolpulmol
    Member

    Thanks,
    the problem is solved for woocommerce.

    Concerning the update of theme, i just check the wordpress update category and click on when necessary for the theme or plug in.

    Is there anything else to do ?
    For cpanel access, i will see with OVH as soon as i have time for it. Tomorow maybe.

    thanks a lot for your help.

    #13950
    VeenaVeena
    Moderator

    Regarding Theme Update:-
    Use the same procedure as when you installed the theme for the first time.
    Everything you did on your Dashboard won’t get overwriten, the files you’ve modified, however, will be replaced with the new files. I recommend that you save them in separate folders so you’ll have them at hand to reapply the changes.

    I use this handy plugin for auto updates of all plugins and themes –

    http://wordpress.org/plugins/easy-theme-and-plugin-upgrades/

    It makes a backup of the existing plugin/theme as well in the media folder so you can always revert back or refer to the earlier version. If you made any changes to the source files (instead of child theme), you will need to redo them of course no matter what method you use for updating. Hope this helps.

    #14029
    Pulmolpulmol
    Member
    This reply has been marked as private.
    #14049
    RaghavendraRaghavendra
    Moderator
    This reply has been marked as private.
    #14057
    Pulmolpulmol
    Member
    This reply has been marked as private.
    #14078
    RaghavendraRaghavendra
    Moderator
    This reply has been marked as private.
    #14087
    Pulmolpulmol
    Member
    This reply has been marked as private.
    #14098
    RaghavendraRaghavendra
    Moderator

    I looked at the installation. No information from debug. Based on the information I have from the edit image, the problem is exactly the one described in the threads returned by doing a google search for term – “cannot edit image wordpress /wp-admin/admin-ajax.php?action=imgedit-preview&_ajax_nonce=”. Looks like the problem has been reported quite a bit.

    https://www.google.com/search?q=cannot+edit+image+wordpress+%2Fwp-admin%2Fadmin-ajax.php%3Faction%3Dimgedit-preview%26_ajax_nonce%3D&oq=cannot+edit+image+wordpress+%2Fwp-admin%2Fadmin-ajax.php%3Faction%3Dimgedit-preview%26_ajax_nonce%3D&aqs=chrome..69i57.986j0j4&sourceid=chrome&es_sm=91&ie=UTF-8

    From the threads it looks like one of the PHP files is having an issue with newline being added as explained in the thread below –

    https://wordpress.org/support/topic/edit-media-broken-image-cant-crop-or-edit

    https://wordpress.org/support/topic/edit-image-image-does-not-show-up

    I went back and check my Extinct installations and they all look fine. So, the original theme files do not have an issue and hence we should check any of the files modified to see if there is an error of the kind reported in the above thread. I hope you have track of files changed. Can you pls check these PHP files and see if somewhere the php tag is not closed right or has a new line in between. Hope that will fix the issue. Sorry this is taking so long – hope we are nearing the solution.

    One more check to do, if you have not already done so – switch to default twenty fifteen theme and check if the problem is resolved. If so, we are sure that one of the theme source files has issues. If the problem exists with twenty fifteen too, then the issue is some library missing from the server or one of the PHP files from the wordpress installation itself has issues. Do let us know.

    #14101
    Pulmolpulmol
    Member

    the same problem With twenty fifteen theme.

    sorry but i don t have save my change in code.
    the history of change is simillar as the number of post on this forum.
    so all the change code are from this forum (i post 9 subject i think)

    i don t know how to recognize a syntax error. When is it normal to have interligne or not,or how a sentence code must be finish.

    sorry to take many times With That.

Viewing 15 posts - 1 through 15 (of 18 total)
  • The forum ‘Extinct Theme Support’ is closed to new topics and replies.